API Changelog 8.24.0

API Changes

GET /public/v1/content-library-items/{id}/details

  • added the optional property pricing/quotes/items/sections/items/columns/items/formula_error_code to the response with the 200 status
  • added the optional property pricing/quotes/items/sections/items/columns/items/formula_expression to the response with the 200 status
  • added the optional property pricing/quotes/items/sections/items/items/items/formula_columns to the response with the 200 status

PATCH /public/v1/documents/{document_id}/quotes

  • added the new optional request property quotes/items/allOf[#/components/schemas/QuoteUpdateRequest]/sections/items/columns
  • added the optional property results/items/oneOf[#/components/schemas/QuotesBatchUpdateResultOk]/allOf[subschema #2]/quote/sections/items/columns/items/formula_error_code to the response with the 200 status
  • added the optional property results/items/oneOf[#/components/schemas/QuotesBatchUpdateResultOk]/allOf[subschema #2]/quote/sections/items/columns/items/formula_expression to the response with the 200 status
  • added the optional property results/items/oneOf[#/components/schemas/QuotesBatchUpdateResultOk]/allOf[subschema #2]/quote/sections/items/items/items/formula_columns to the response with the 200 status

PUT /public/v1/documents/{document_id}/quotes/{quote_id}

  • added the new optional request property sections/items/columns
  • added the optional property sections/items/columns/items/formula_error_code to the response with the 200 status
  • added the optional property sections/items/columns/items/formula_expression to the response with the 200 status
  • added the optional property sections/items/items/items/formula_columns to the response with the 200 status

GET /public/v1/documents/{id}/details

  • added the optional property pricing/quotes/items/sections/items/columns/items/formula_error_code to the response with the 200 status
  • added the optional property pricing/quotes/items/sections/items/columns/items/formula_expression to the response with the 200 status
  • added the optional property pricing/quotes/items/sections/items/items/items/formula_columns to the response with the 200 status

GET /public/v1/templates/{id}/details

  • added the optional property pricing/quotes/items/sections/items/columns/items/formula_error_code to the response with the 200 status
  • added the optional property pricing/quotes/items/sections/items/columns/items/formula_expression to the response with the 200 status
  • added the optional property pricing/quotes/items/sections/items/items/items/formula_columns to the response with the 200 status